Перейти к содержимому
Главная

Kling V3 Turbo - Text to Video

kling-v3-turbo-t2v

Kirin V3 Turbo text-to-video generation interface. Supports 720P to 4K video output, 3 to 15 second duration, text-to-video aspect ratios, sound generation, prompt enhancement, and subject reference.

POST /v1/queue/kling-v3-turbo-t2v # Создать задачу
GET /v1/queue/kling-v3-turbo-t2v/requests/{request_id}/status # Проверить статус
GET /v1/queue/kling-v3-turbo-t2v/requests/{request_id}/response # Получить результат
PUT /v1/queue/kling-v3-turbo-t2v/requests/{request_id}/cancel # Отменить задачу
Окно терминала
curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v3-turbo-t2v' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--location \
--data-raw '{
"prompt": "A cinematic drone shot over a misty mountain range at sunrise",
"resolution": "720P",
"duration": 3,
"aspect_ratio": "16:9",
"sound": "on",
"enhance_prompt": true
}'

Video generation prompt. You can include positive and negative descriptions in the same prompt.


Video output resolution.

Options: 720P, 1080P, 2K, 4K

Default: 720P


Generated video duration in seconds.

Options: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15

Default: 5


Video aspect ratio.

Options: 16:9, 9:16, 1:1

Default: 16:9


Whether to generate sound with the video.

Options: on, off

Default: off


Whether to enable prompt enhancement.

Options: true, false, on, off, enabled, disabled


Subject reference list. Configure subject references with subject IDs from the subject library.

To create a subject, refer to: kirin_custom_elements

"element_list": [
{
"element_id": 123456
}
]
{
"request_id": "task_01hxyz...",
"response_url": "https://odirouter.ai/model/v1/queue/kling-v3-turbo-t2v/requests/task_01hxyz.../response",
"status_url": "https://odirouter.ai/model/v1/queue/kling-v3-turbo-t2v/requests/task_01hxyz.../status",
"cancel_url": "https://odirouter.ai/model/v1/queue/kling-v3-turbo-t2v/requests/task_01hxyz.../cancel",
"queue_position": 0
}
ПолеТипОписание
request_idstringИдентификатор задачи для последующей проверки статуса, получения результата и отмены.
response_urlstringURL для получения итогового результата.
status_urlstringURL для проверки статуса задачи.
cancel_urlstringURL для отмены задачи.
queue_positionintТекущая позиция в очереди.